<?php

namespace App\Controllers;

class UploadController extends BaseController
{
    /**
     * Handle logo upload and return the public URL.
     */
    public function uploadLogo()
    {
        // 'logo' is the name attribute from the file input.
        $file = $this->request->getFile('logo');

        if ($file && $file->isValid() && !$file->hasMoved()) {
            // Optionally validate file type/size here.
            $newName = $file->getRandomName();
            // Move the file to a writable directory (make sure this folder exists and is writable)
            $file->move(WRITEPATH . 'uploads/logos', $newName);
            return $this->response->setJSON(['url' => base_url('uploads/logos/' . $newName)]);
        }
        
        return $this->response->setJSON(['error' => $file ? $file->getErrorString() : 'No file uploaded']);
    }
}
