<?php
use CodeIgniter\Database\Database;

// ✅ Load CodeIgniter’s database configuration
require_once __DIR__ . '/../../app/Config/Database.php';

// ✅ Initialize the Database connection
try {
    $dbConfig = new Config\Database();
    $settings = $dbConfig->default;

    $pdo = new PDO(
        "mysql:host={$settings['hostname']};dbname={$settings['database']};charset={$settings['charset']}",
        $settings['username'],
        $settings['password'],
        [
            PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,  // Show detailed errors
            PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC, // Fetch data as associative arrays
        ]
    );

    // ✅ Connection successful
    define('DB_CONNECTED', true);
} catch (PDOException $e) {
    // ❌ Connection failed, print error message
    define('DB_CONNECTED', false);
    die("<p style='color: red;'>❌ ERROR: Database connection failed - " . $e->getMessage() . "</p>");
}
?>
