<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['file'])) {
    // Define the upload directory.
    $uploadDir = __DIR__ . '/assets/uploads/';
    if (!file_exists($uploadDir)) {
        mkdir($uploadDir, 0777, true);
    }
  
    // Sanitize file name.
    $fileName = basename($_FILES['file']['name']);
    $fileName = preg_replace("/[^A-Za-z0-9\.\-]/", '_', $fileName);
    $targetFile = $uploadDir . $fileName;
    $fileType = strtolower(pathinfo($targetFile, PATHINFO_EXTENSION));
  
    // Allow only specific image types.
    $allowedTypes = array('jpg', 'jpeg', 'png', 'gif');
    if (in_array($fileType, $allowedTypes)) {
        if (move_uploaded_file($_FILES['file']['tmp_name'], $targetFile)) {
            // Return JSON response with the file URL.
            require_once __DIR__ . '/functions.php'; // If you have additional helper functions.
            echo json_encode([
                'success' => true,
                'url' => base_url('assets/uploads/' . $fileName)
            ]);
            exit;
        } else {
            echo json_encode([
                'success' => false,
                'error' => 'Error uploading file.'
            ]);
            exit;
        }
    } else {
        echo json_encode([
            'success' => false,
            'error' => 'Invalid file type. Only JPG, JPEG, PNG, and GIF files are allowed.'
        ]);
        exit;
    }
} else {
    echo json_encode([
        'success' => false,
        'error' => 'No file uploaded.'
    ]);
    exit;
}
?>
