<?php
require_once 'config.php'; // Database connection

$slug = $_GET['slug'] ?? '';

$stmt = $pdo->prepare("SELECT * FROM applications WHERE slug = ?");
$stmt->execute([$slug]);
$app = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$app) {
    die('Application not found.');
}

$appData = json_decode($app['data'], true);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title><?php echo htmlspecialchars($app['name']); ?></title>
    <script>
        const loadedModules = <?php echo json_encode($appData); ?>;
    </script>
</head>
<body>
    <h1><?php echo htmlspecialchars($app['name']); ?></h1>
    <div id="app-builder">
        <div class="canvas" id="canvas"></div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const canvas = document.getElementById('canvas');

            loadedModules.forEach(module => {
                const tempDiv = document.createElement('div');
                tempDiv.innerHTML = moduleMarkup[module.type] || `<div>No markup for ${module.type}</div>`;
                const moduleEl = tempDiv.firstElementChild;
                moduleEl.setAttribute('data-module-id', module.id);
                canvas.appendChild(moduleEl);
            });
        });
    </script>
</body>
</html>
