<?php

namespace Config;

use CodeIgniter\Config\BaseService;

class Services extends BaseService
{
    /**
     * Custom View Renderer with Module Support
     */
public static function renderer($getShared = true)
{
    if ($getShared) {
        return static::getSharedInstance('renderer');
    }

    $config = config('View');
    if ($config === null) {
        $config = new \Config\View(); // Fallback if null
    }

    // Extend view paths to include the AppMaker module Views folder
    $config->viewPaths = [
        APPPATH . 'Views/',
        APPPATH . 'Modules/AppMaker/Views/',
    ];

return new \CodeIgniter\View\View(
    $config,                                // ViewConfig $config
    APPPATH . 'Views/',                     // ✅ Correct viewPath, not null
    \Config\Services::locator(),            // FileLocatorInterface $loader
    null,                                   // ?bool $debug
    \Config\Services::logger()              // LoggerInterface $logger
);
}

}
