<?php

namespace App\Controllers;

use CodeIgniter\Controller;
use Config\Services;

class RouteChecker extends Controller
{
    public function index()
    {
        $routes = Services::routes(true);
        $definedRoutes = $routes->getRoutes();

        $invalidRoutes = [];

        foreach ($definedRoutes as $path => $handler) {
            if (is_string($handler)) {
                [$controller, $method] = explode('::', $handler);
                if (!class_exists($controller)) {
                    $invalidRoutes[] = "$path → ❌ Controller not found: $controller";
                } elseif (!method_exists($controller, $method)) {
                    $invalidRoutes[] = "$path → ❌ Method '$method' not found in: $controller";
                }
            }
        }

        if (empty($invalidRoutes)) {
            echo "<h2>✅ All routes are valid!</h2>";
        } else {
            echo "<h2>❌ Invalid Routes Found:</h2><ul>";
            foreach ($invalidRoutes as $error) {
                echo "<li>$error</li>";
            }
            echo "</ul>";
        }
    }
}
