<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CreateAppBuilderTables extends Migration
{
    protected $DBGroup = 'builder'; // ✅ Makes sure this migration uses the correct DB

    public function up()
    {
        // Apps table
        $this->forge->addField([
            'id'         => ['type' => 'INT', 'unsigned' => true, 'auto_increment' => true],
            'name'       => ['type' => 'VARCHAR', 'constraint' => 255],
            'slug'       => ['type' => 'VARCHAR', 'constraint' => 255],
            'created_at' => ['type' => 'DATETIME', 'null' => true],
            'updated_at' => ['type' => 'DATETIME', 'null' => true],
        ]);
        $this->forge->addKey('id', true);
        $this->forge->createTable('apps');

        // App modules table
        $this->forge->addField([
            'id'         => ['type' => 'INT', 'unsigned' => true, 'auto_increment' => true],
            'app_id'     => ['type' => 'INT', 'unsigned' => true],
            'module'     => ['type' => 'VARCHAR', 'constraint' => 255],
            'settings'   => ['type' => 'TEXT'],
            'order'      => ['type' => 'INT', 'unsigned' => true],
            'created_at' => ['type' => 'DATETIME', 'null' => true],
            'updated_at' => ['type' => 'DATETIME', 'null' => true],
        ]);
        $this->forge->addKey('id', true);
        $this->forge->addForeignKey('app_id', 'apps', 'id', 'CASCADE', 'CASCADE');
        $this->forge->createTable('app_modules');
    }

    public function down()
    {
        $this->forge->dropTable('app_modules');
        $this->forge->dropTable('apps');
    }
}
