<?php
class PageTitle {
    public $settings;
    private $instanceId;

    public function __construct($instanceId = '', $settings = []) {
        $this->instanceId = $instanceId ?: uniqid('pageTitle_');
        $this->settings = array_merge([
            'title' => 'LIBERATING MY OFFENDERS',
            'buttonName' => 'Page Title',
            'buttonPosition' => 1
        ], $settings);
    }

    public function render() {
        ob_start(); ?>
        
        <div class="module-preview page-title-module" 
             data-module="PageTitle" 
             data-module-id="<?php echo esc($this->instanceId); ?>"
             style="width: 100%; text-align: center; padding: 30px 0;">

            <h1 style="
                font-size: 2em;
                font-weight: bold;
                font-family: 'Cinzel', serif;
                color: #2c3e8f;
                margin-bottom: 30px;
            ">
                <?php echo esc($this->settings['title']); ?>
            </h1>

            <div class="gold-divider" 
                 style="
                    width: 60%; 
                    height: 4px; 
                    background-color: #ddb34d; 
                    margin: 0 auto;
                    border-radius: 2px;
                 ">
            </div>

        </div>
        
        <?php 
        return ob_get_clean();
    }

    public function renderPreview() {
        return '<button class="module-selector-btn" data-module="PageTitle">' 
             . esc($this->settings['buttonName']) . 
             '</button>';
    }
}
?>
