<?php
class PageTitleModule {
    public $settings;
    private $instanceId;

    public function __construct($instanceId = '', $settings = []) {
        $this->instanceId = $instanceId ?: uniqid('pageTitle_');
        $this->settings = array_merge([
            'title' => 'LIBERATING MY OFFENDERS',
            'buttonName' => 'Page Title',
            'buttonPosition' => 1
        ], $settings);
    }

    public function render() {
        // Optional: Log to confirm this render runs
        // error_log("✅ PageTitleModule render() executed");

        ob_start(); ?>
        
        <div class="module-preview page-title-module" 
             data-module="PageTitleModule" 
             data-module-id="<?php echo esc($this->instanceId); ?>">
             
            <!-- Render the Page Title -->
            <h1 style="font-size: 2em; font-weight: bold; margin-bottom: 10px;">
                <?php echo esc($this->settings['title']); ?>
            </h1>

            <!-- Gold Divider -->
            <div class="gold-divider" 
                 style="width: 60%; height: 4px; background-color: #ddb34d; 
                        margin: 10px auto; border-radius: 2px;">
            </div>
        </div>
        
        <?php 
        return ob_get_clean();
    }

    public function renderPreview() {
        // Render the preview button for module selection
        return '<button class="module-selector-btn" data-module="PageTitleModule">' 
             . esc($this->settings['buttonName']) . 
             '</button>';
    }
}
?>
