<!-- app/Views/auth/register.php -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Register</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@latest/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100 dark:bg-gray-900">
    <div class="container mx-auto mt-10">
        <h2 class="text-2xl text-center text-gray-800 dark:text-gray-200">Register</h2>
        <?php if(session('errors')): ?>
            <div class="bg-red-200 text-red-800 p-2 my-4">
                <?php foreach(session('errors') as $error): ?>
                    <p><?= $error ?></p>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
        <form action="<?= site_url('auth/processRegister') ?>" method="post" class="max-w-md mx-auto bg-white dark:bg-gray-800 p-6 rounded shadow">
            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">Name</label>
                <input type="text" name="name" value="<?= old('name') ?>" class="w-full border rounded p-2">
            </div>
            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">Email</label>
                <input type="email" name="email" value="<?= old('email') ?>" class="w-full border rounded p-2">
            </div>
            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">Password</label>
                <input type="password" name="password" class="w-full border rounded p-2">
            </div>
            <button type="submit" class="w-full bg-blue-500 text-white p-2 rounded">Register</button>
        </form>
    </div>
</body>
</html>
