<!-- app/Views/auth/reset_password.php -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Reset Password</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@latest/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100 dark:bg-gray-900">
    <div class="container mx-auto mt-10">
        <h2 class="text-2xl text-center text-gray-800 dark:text-gray-200">Reset Password</h2>
        <?php if(session('error')): ?>
            <div class="bg-red-200 text-red-800 p-2 my-4">
                <?= session('error') ?>
            </div>
        <?php endif; ?>
        <form action="<?= site_url("auth/processResetPassword/{$token}") ?>" method="post" class="max-w-md mx-auto bg-white dark:bg-gray-800 p-6 rounded shadow">
            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">New Password</label>
                <input type="password" name="password" class="w-full border rounded p-2">
            </div>
            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">Confirm Password</label>
                <input type="password" name="password_confirm" class="w-full border rounded p-2">
            </div>
            <button type="submit" class="w-full bg-green-500 text-white p-2 rounded">Reset Password</button>
        </form>
    </div>
</body>
</html>
