<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);

if (!function_exists('esc')) {
    function esc($string) {
        return htmlspecialchars($string, ENT_QUOTES, 'UTF-8');
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>WS App Maker</title>
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate">
  <meta http-equiv="Pragma" content="no-cache">
  <meta http-equiv="Expires" content="0">
  <link href="https://fonts.googleapis.com/css?family=Roboto:400,500,700&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="<?= base_url('css/app_styles.css'); ?>?v=<?= time(); ?>">
  <link rel="stylesheet" href="<?= base_url('css/modules.css'); ?>?v=<?= time(); ?>">
  <link rel="stylesheet" href="/assets/css/output.css?v=<?= time(); ?>">
</head>
<body class="bg-white text-[#585a5d] font-sans m-0 p-0">

<!-- ✅ Styled Top Bar -->
<div class="top-bar bg-[#164986] text-white px-6 py-2 shadow-md">
  <div class="flex items-center justify-between">
    <h1 class="text-lg font-semibold text-[#f3e3bc] underline font-['Times_New_Roman'] uppercase">
      Winslow Solutions App Maker
    </h1>
    <div class="flex items-center gap-2 mx-auto">
      <input class="form-control-sm w-40 text-center" placeholder="App Name">
      <input class="form-control-sm w-40 text-center" placeholder="App Slug">
      <button class="btn btn-gold h-8 text-sm px-3">Save Application</button>
    </div>
    <div class="w-[170px]"></div> <!-- Spacer for balance -->
  </div>
</div>


<!-- ✅ App Builder Layout -->
<div id="app-builder" class="flex min-h-[calc(100vh-48px)]">
    <!-- Sidebar -->
    <div class="sidebar bg-[#164986] p-4 w-64 border-r border-gray-200">
        <h2 class="text-lg font-semibold mb-4 text-[#164986]">Modules</h2>
        <ul class="space-y-2">
            <li>
                <button onclick="addModule('ParagraphTextAndScripture')" class="module-selector-btn w-full text-left bg-[#abbdd3] hover:bg-[#90a8c7] px-3 py-2 rounded text-[#164986]">
                    + Paragraph + Scripture
                </button>
            </li>
        </ul>
    </div>

    <!-- Canvas -->
    <div class="canvas flex-1 p-6 overflow-y-auto" id="builder-canvas">
        <h2 class="text-2xl font-bold text-[#164986] mb-4">Your App Preview</h2>
    </div>

    <!-- Settings Panel -->
    <div class="settings bg-gray-50 p-4 w-80 border-l border-gray-200 overflow-y-auto" id="settings-pane">
        <div id="settings-content">
            <p class="text-sm text-gray-500">Select a module to edit its settings.</p>
        </div>
    </div>
</div>

<!-- ✅ JS Loader -->
<script src="<?= base_url('js/ws-app-maker.js'); ?>?v=<?= time(); ?>"></script>

</body>
</html>
