// scale.js

// Set a baseline width that represents your original design (adjust as needed)
const baselineWidth = 1000;

function scaleTitleContent() {
  const container = document.querySelector('.title-page-container');
  if (!container) return;
  
  const content = container.querySelector('.title-content');
  if (!content) return;
  
  const currentWidth = container.clientWidth;
  const scaleFactor = currentWidth / baselineWidth;
  
  // Set transform origin to top center so that the top center remains fixed.
  content.style.transform = 'scale(' + scaleFactor + ')';
  content.style.transformOrigin = 'top center';
}

document.addEventListener('DOMContentLoaded', scaleTitleContent);
window.addEventListener('resize', scaleTitleContent);
