let currentLogoTarget = null;

// Open modal when "Select Logo" is clicked
document.addEventListener('click', function (e) {
    if (e.target.classList.contains('select-logo-btn')) {
        currentLogoTarget = document.getElementById(e.target.dataset.target);
        loadImageList();
        document.getElementById('imageUploadModal').style.display = 'flex';
    }
});

// Load image list from the uploads directory
function loadImageList() {
    fetch('/imageManager/list')
        .then(response => response.json())
        .then(images => {
            const imageList = document.getElementById('image-list');
            imageList.innerHTML = '';
            images.forEach(img => {
                const imgEl = document.createElement('img');
                imgEl.src = '/uploads/' + img;
                imgEl.style = 'width:100px; height:auto; cursor:pointer; border:1px solid #ccc;';
                imgEl.onclick = () => {
                    currentLogoTarget.value = '/uploads/' + img;
                    document.getElementById('imageUploadModal').style.display = 'none';
                };
                imageList.appendChild(imgEl);
            });
        });
}

// Upload a new image
document.getElementById('uploadImageBtn').addEventListener('click', function () {
    const fileInput = document.getElementById('uploadImageInput');
    if (!fileInput.files.length) return alert('Please select an image to upload.');

    const formData = new FormData();
    formData.append('image', fileInput.files[0]);

    fetch('/imageManager/upload', {
        method: 'POST',
        body: formData
    })
    .then(res => res.json())
    .then(res => {
        if (res.success) {
            loadImageList(); // Refresh image list
            fileInput.value = '';
        } else {
            alert('Upload failed');
        }
    });
});

// Close the modal
document.getElementById('closeImageModal').addEventListener('click', function () {
    document.getElementById('imageUploadModal').style.display = 'none';
});
