// moduleSettings.js
// This file defines settings for all modules in your app builder.

const moduleSettings = {
  "title_page.php": [
    { label: "Enter Title", type: "text", name: "title", targetSelector: "#title" },
    { label: "Enter Subtitle", type: "text", name: "subtitle", targetSelector: "#subtitle" },
    { label: "Enter Author Name", type: "text", name: "author", targetSelector: "#authorName" },
    { label: "Upload Top Logo", type: "file", name: "topLogo", targetSelector: "#topLogoPlaceholder", group: "Top Logo" },
    { label: "Top Logo Size", type: "range", name: "topLogoSize", min: "10", max: "200", step: "1", suffix: "%", targetSelector: "#topLogoPlaceholder", group: "Top Logo", dualInput: true },
    { label: "Upload Left Logo", type: "file", name: "leftLogo", targetSelector: "#bottomLeftLogoPlaceholder", group: "Left Logo" },
    { label: "Left Logo Size", type: "range", name: "leftLogoSize", min: "10", max: "200", step: "1", suffix: "%", targetSelector: "#bottomLeftLogoPlaceholder", group: "Left Logo", dualInput: true },
    { label: "Upload Right Logo", type: "file", name: "rightLogo", targetSelector: "#bottomRightLogoPlaceholder", group: "Right Logo" },
    { label: "Right Logo Size", type: "range", name: "rightLogoSize", min: "10", max: "200", step: "1", suffix: "%", targetSelector: "#bottomRightLogoPlaceholder", group: "Right Logo", dualInput: true }
  ],
  "text-box.php": [
    { label: "Label", type: "text", name: "label", targetSelector: ".text-box-label" },
    { label: "Content", type: "wysiwyg", name: "content", targetSelector: ".text-box-content" },
    { label: "Margin Top", type: "number", name: "marginTop", targetSelector: ".text-box-module" },
    { label: "Margin Right", type: "number", name: "marginRight", targetSelector: ".text-box-module" },
    { label: "Margin Bottom", type: "number", name: "marginBottom", targetSelector: ".text-box-module" },
    { label: "Margin Left", type: "number", name: "marginLeft", targetSelector: ".text-box-module" },
    { label: "Padding Top", type: "number", name: "paddingTop", targetSelector: ".text-box-module" },
    { label: "Padding Right", type: "number", name: "paddingRight", targetSelector: ".text-box-module" },
    { label: "Padding Bottom", type: "number", name: "paddingBottom", targetSelector: ".text-box-module" },
    { label: "Padding Left", type: "number", name: "paddingLeft", targetSelector: ".text-box-module" }
  ]
  // Add more module settings as needed.
};
