console.log("✅ multiParagraph.js loaded and attached to settings-content.");

document.addEventListener('click', function (e) {
  if (e.target.classList.contains('add-multi-paragraph-row')) {
    const container = e.target.closest('.module-settings');
    const instanceId = container.id.replace('multiParagraphSettings_', '');
    const settings = getModuleSettings(instanceId);

    if (!Array.isArray(settings.rows)) settings.rows = [];

    const newRow = {
      label: 'New Row Label',
      description: 'Optional description'
    };

    settings.rows.push(newRow);
    console.log("➕ Added row:", newRow);
    updateModuleSettings(instanceId, settings);
  }

  if (e.target.classList.contains('remove-multi-paragraph-row')) {
    const rowId = parseInt(e.target.dataset.rowId, 10);
    const container = e.target.closest('.module-settings');
    const instanceId = container.id.replace('multiParagraphSettings_', '');
    const settings = getModuleSettings(instanceId);

    if (!Array.isArray(settings.rows)) settings.rows = [];

    if (rowId >= 0 && rowId < settings.rows.length) {
      console.log("🗑 Removing row:", rowId);
      settings.rows.splice(rowId, 1);
      updateModuleSettings(instanceId, settings);
    }
  }
});

document.addEventListener('input', function (e) {
  if (e.target.classList.contains('multi-paragraph-label-input')) {
    const rowId = parseInt(e.target.dataset.rowId, 10);
    const field = e.target.dataset.setting;
    const value = e.target.value;
    const container = e.target.closest('.module-settings');
    const instanceId = container.id.replace('multiParagraphSettings_', '');
    const settings = getModuleSettings(instanceId);

    if (!Array.isArray(settings.rows)) settings.rows = [];

    if (settings.rows[rowId]) {
      settings.rows[rowId][field] = value;
      console.log(`✏️ Updated row ${rowId} field '${field}' to:`, value);
      updateModuleSettings(instanceId, settings);
    }
  }
});
