document.addEventListener("DOMContentLoaded", function () {
    // Get references to the elements in the title page module
    const titleElement = document.getElementById("title");
    const subtitleElement = document.getElementById("subtitle");
    const authorNameElement = document.getElementById("authorName");
    const topLogo = document.getElementById("topLogoPlaceholder");
    const bottomLeftLogo = document.getElementById("bottomLeftLogoPlaceholder");
    const bottomRightLogo = document.getElementById("bottomRightLogoPlaceholder");

    // Function to update text content
    function updateText(element, value) {
        if (element) {
            element.innerText = value || " ";
        }
    }

    // Function to update image source
    function updateImage(element, url) {
        if (element) {
            element.src = url || "https://via.placeholder.com/100x100.png?text=Placeholder";
        }
    }

    // Listen for setting changes (assuming input fields exist in a form)
    document.addEventListener("input", function (event) {
        let target = event.target;

        if (target.id === "titleInput") {
            updateText(titleElement, target.value);
        } else if (target.id === "subtitleInput") {
            updateText(subtitleElement, target.value);
        } else if (target.id === "authorNameInput") {
            updateText(authorNameElement, target.value);
        } else if (target.id === "topLogoInput") {
            updateImage(topLogo, target.value);
        } else if (target.id === "bottomLeftLogoInput") {
            updateImage(bottomLeftLogo, target.value);
        } else if (target.id === "bottomRightLogoInput") {
            updateImage(bottomRightLogo, target.value);
        }
    });
});
