console.log("🧩 paragraphTextAndScripture_v2.js loaded.");

document.addEventListener("DOMContentLoaded", () => {
  // Allow dynamic re-binding later
  window.initParagraphTextAndScriptureSettings = function () {
    const wrapper = document.querySelector('[id^="paragraphTextAndScriptureSettings_"]');
    if (!wrapper) {
      console.warn("⚠️ paragraphTextAndScripture settings wrapper not found.");
      return;
    }

    const instanceId = wrapper.id.replace('paragraphTextAndScriptureSettings_', '');
    console.log("🎯 Binding settings for:", instanceId);

    const inputs = wrapper.querySelectorAll("[data-setting]");
    inputs.forEach(input => {
      const settingKey = input.dataset.setting;

      input.addEventListener("input", () => {
        const currentSettings = window.moduleSettings?.[instanceId] || {};
        currentSettings[settingKey] = input.value;
        window.moduleSettings[instanceId] = currentSettings;

        console.log(`📝 [${settingKey}] =`, input.value);
        updateModuleSettings(instanceId, currentSettings);
      });

      input.addEventListener("change", () => {
        console.log(`📤 Change committed for [${settingKey}] =`, input.value);
      });
    });
  };

  // Run once on page load
  window.initParagraphTextAndScriptureSettings();
});
